Index: XIOS/trunk/src/interface/fortran_attr/filegroup_interface_attr.f90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/filegroup_interface_attr.f90	(revision 415)
+++ XIOS/trunk/src/interface/fortran_attr/filegroup_interface_attr.f90	(revision 432)
@@ -23,4 +23,10 @@
     END SUBROUTINE cxios_get_filegroup_description
     
+    FUNCTION cxios_is_defined_filegroup_description(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_description
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_description
+    
     
     SUBROUTINE cxios_set_filegroup_enabled(filegroup_hdl, enabled) BIND(C)
@@ -35,4 +41,10 @@
       LOGICAL (KIND=C_BOOL)             :: enabled
     END SUBROUTINE cxios_get_filegroup_enabled
+    
+    FUNCTION cxios_is_defined_filegroup_enabled(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_enabled
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_enabled
     
     
@@ -51,4 +63,10 @@
     END SUBROUTINE cxios_get_filegroup_group_ref
     
+    FUNCTION cxios_is_defined_filegroup_group_ref(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_group_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_group_ref
+    
     
     SUBROUTINE cxios_set_filegroup_min_digits(filegroup_hdl, min_digits) BIND(C)
@@ -63,4 +81,10 @@
       INTEGER (KIND=C_INT)             :: min_digits
     END SUBROUTINE cxios_get_filegroup_min_digits
+    
+    FUNCTION cxios_is_defined_filegroup_min_digits(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_min_digits
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_min_digits
     
     
@@ -79,4 +103,10 @@
     END SUBROUTINE cxios_get_filegroup_name
     
+    FUNCTION cxios_is_defined_filegroup_name(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_name
+    
     
     SUBROUTINE cxios_set_filegroup_name_suffix(filegroup_hdl, name_suffix, name_suffix_size) BIND(C)
@@ -94,4 +124,10 @@
     END SUBROUTINE cxios_get_filegroup_name_suffix
     
+    FUNCTION cxios_is_defined_filegroup_name_suffix(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_name_suffix
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_name_suffix
+    
     
     SUBROUTINE cxios_set_filegroup_output_freq(filegroup_hdl, output_freq, output_freq_size) BIND(C)
@@ -109,4 +145,10 @@
     END SUBROUTINE cxios_get_filegroup_output_freq
     
+    FUNCTION cxios_is_defined_filegroup_output_freq(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_output_freq
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_output_freq
+    
     
     SUBROUTINE cxios_set_filegroup_output_level(filegroup_hdl, output_level) BIND(C)
@@ -121,4 +163,10 @@
       INTEGER (KIND=C_INT)             :: output_level
     END SUBROUTINE cxios_get_filegroup_output_level
+    
+    FUNCTION cxios_is_defined_filegroup_output_level(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_output_level
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_output_level
     
     
@@ -137,4 +185,10 @@
     END SUBROUTINE cxios_get_filegroup_par_access
     
+    FUNCTION cxios_is_defined_filegroup_par_access(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_par_access
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_par_access
+    
     
     SUBROUTINE cxios_set_filegroup_split_freq(filegroup_hdl, split_freq, split_freq_size) BIND(C)
@@ -152,4 +206,31 @@
     END SUBROUTINE cxios_get_filegroup_split_freq
     
+    FUNCTION cxios_is_defined_filegroup_split_freq(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_split_freq
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_split_freq
+    
+    
+    SUBROUTINE cxios_set_filegroup_split_freq_format(filegroup_hdl, split_freq_format, split_freq_format_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: split_freq_format
+      INTEGER  (kind = C_INT)     , VALUE        :: split_freq_format_size
+    END SUBROUTINE cxios_set_filegroup_split_freq_format
+    
+    SUBROUTINE cxios_get_filegroup_split_freq_format(filegroup_hdl, split_freq_format, split_freq_format_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: split_freq_format
+      INTEGER  (kind = C_INT)     , VALUE        :: split_freq_format_size
+    END SUBROUTINE cxios_get_filegroup_split_freq_format
+    
+    FUNCTION cxios_is_defined_filegroup_split_freq_format(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_split_freq_format
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_split_freq_format
+    
     
     SUBROUTINE cxios_set_filegroup_sync_freq(filegroup_hdl, sync_freq, sync_freq_size) BIND(C)
@@ -167,4 +248,10 @@
     END SUBROUTINE cxios_get_filegroup_sync_freq
     
+    FUNCTION cxios_is_defined_filegroup_sync_freq(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_sync_freq
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_sync_freq
+    
     
     SUBROUTINE cxios_set_filegroup_type(filegroup_hdl, type, type_size) BIND(C)
@@ -182,4 +269,10 @@
     END SUBROUTINE cxios_get_filegroup_type
     
+    FUNCTION cxios_is_defined_filegroup_type(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_type
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_type
+    
     
     END INTERFACE
